Subject: RE: Diameter Saga - carifications was: [AAA-WG]: Diameter Base update

From: <[email-masked]>
Date: Fri, 26 Jul 2002 22:15:17 +0300

Hi Steve,

> >Now, I think that many members of the WG do not see the potential
> >interoperability problem introduced by VSCs, and are asking for
> >some illustrations on why this is a problem.
> 
> Without going into specific details here -- AAA isn't the only group 
> where the matter has come up -- the problem is simply that if Vendor A 
> implements some option of its own invention while Vendor B doesn't have 
> it, their products won't interoperate smoothly if A's implementation 
> more or less requires that the option be accepted.
> 
> Clearly, there are gradations.  If the optional feature simply improves 
> efficiency if both sides support it, but the code can fall back to the 
> standardized -- but less efficient -- mode of operation otherwise, 
> there's not a problem.  The other extreme borders on proprietary 
> protocols, in which case it isn't clear why the IETF is in that space 
> to start with.
> 
> The IESG is currently discussing the broader issue.

Actually, we (the WG) took great pains to ensure interoperability.  
Diameter, like SIP, is in many ways, a container protocol.  It 
defines the 'format' and the language for transporting applications
to do authorization, authentication & accounting.  To use Diameter,
one must define an application that is run on top of Diameter.

We've tried to engineer it so that we'd avoid nasty interop problems.
I think the WG wants to have a better understanding where we have
failed, other than a blanket vendor-specific commands are a bad
idea.

thanks,
John